# TODO: fix urls and install icons like
#/usr/share/linuxmint/mintMenu/search_engines/dictionary.png
# see /usr/share/linuxmint/mintMenu/plugins/applications.py

Name:           mintmenu
Version:        5.2.1
Release:        alt1.M60P.4
License:        GPLv2
Summary:        Advanced Gnome menu
# Can not be noarch do to architecture dependent bonobo server placement
#BuildArch: noarch
Group:          Graphical desktop/GNOME
Url:            https://launchpad.net/mintmenu
Source0:        http://packages.linuxmint.com/pool/main/m/mintmenu/%{name}_%{version}.tar.gz
Source1:        http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_2010.10.14.tar.gz
Source33:	mintmenu_test.sh
Source34:	list-mintmenu.conf
Source35:	list-mintmenu.lua
Source36:	list-mintmenu.ignore

# SUSE patches from http://download.opensuse.org/repositories/home:/unamanic/Fedora_14/src/
# PATCH-FIX-OPENSUSE mintmenu-add_sebangs.patch william@witt-famiylnet: Add shebangs for style
Patch0:         mintmenu-add_sebangs.patch
# PATCH-FIX-OPENSUSE mintmenu-bindings.patch william@witt-famiylnet: Packagekit and terminal launchers
Patch1:         mintmenu-5.2.1-alt-bindings.patch
# PATCH-FIX-OPENSUSE mintmenu-suse_branding.patch william@witt-famiylnet: Suse branding
Patch2:         mintmenu-alt_branding.patch
# PATCH-FIX-OPENSUSE mintmenu-datadir.patch william@witt-famiylnet: move from /usr/lib to /usr/share
Patch3:         mintmenu-5.2.1-alt-datadir.patch
# PATCH-FIX-OPENSUSE mintmenu-run_as_superuser.patch william@witt-famiylnet: fix run as superuser
Patch4:         mintmenu-run_as_superuser.patch
# PATCH-FIX-OPENSUSE mintmenu-mintmenu_executables.patch william@witt-famiylnet: update paths for executable and bonobo server
Patch9:         mintmenu-change_locale_directory.patch

# alt patches
Patch33:	mintmenu-5.2.1-alt-no-mintinstall.patch
Patch34:	mintmenu-5.2.1-alt-drop-mintinstall-check.patch
Patch35:	mintmenu-5.2.1-alt-apt-cache.patch
Patch36:	mintmenu-5.2.1-alt-no-mintengines.patch
Patch37:	mintmenu-5.2.1-alt-GPL-path.patch
Patch38:	mintmenu-5.2.1-alt-use-rpminstall.patch
Patch39:	mintmenu-5.2.1-alt-cyrillic.patch
Patch40:	mintmenu-5.2.1-alt-xfce-logout.patch

Requires: GConf2 alacarte gnome-search-tool
Requires: python-module-pygnome-applet python-module-gnome-menus python-module-pygnome-desktop python-module-pyxdg python-module-pygnome-deskbar-applet python-module-configobj python-module-apt
# python2.6(gnomeapplet) python2.6(gmenu) python2.6(gnomedesktop) python2.6(xdg) python2.6(deskbar) python2.6(configobj)

Requires: apt
BuildRequires: apt

# due to apt: protocol
Requires: rpminstall >= 1.1.1
# Recommends:( due to inode/directory preferences
Requires: altlinux-mime-defaults > 0.17

# TODO:
#Requires:       tracker-search-tool

%description
An advanced "slab" style menu for Linux. MintMenu supports filtering,
favorites, autosession, and many other features.  MintMenu can either be
added to your gnome-panel or launched in its own window.

%prep
%setup -q -n mintmenu
tar -xf %{SOURCE1}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch9 -p1
%patch33 -p1
%patch34 -p1
%if_with apthack
%patch56 -p1
%else
%patch35 -p1
%endif
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1

%build
#pure python

%install
#clean out questionably liscensed files.
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.png
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.svg
find . -name '*.orig' -exec rm -f {} ';'
find . -name '*.pyc' -exec rm -f {} ';'
find . -name '*.pot' -exec rm -f {} ';'
find mint-translations-2010.09.01/ -not -name 'mintmenu.mo' -type f -exec rm -f {} ';'


install -d -p %{buildroot}%{_bindir}/
install -m 755 -p usr/bin/mintmenu %{buildroot}%{_bindir}/mintmenu
install -d -p %{buildroot}%{_datadir}/linuxmint
install -d -p %{buildroot}%{_datadir}/linuxmint/mintMenu
install -m 644 -p usr/lib/linuxmint/mintMenu/*.* %{buildroot}%{_datadir}/linuxmint/mintMenu/
install -m 755 -p usr/lib/linuxmint/mintMenu/detectDE %{buildroot}%{_datadir}/linuxmint/mintMenu/
rm -rf %{buildroot}%{_datadir}/linuxmint/mintMenu/*.py
rm -rf %{buildroot}%{_datadir}/linuxmint/mintMenu/*.orig
install -m 755 -p usr/lib/linuxmint/mintMenu/*.py %{buildroot}%{_datadir}/linuxmint/mintMenu/
install -d -p %{buildroot}%{_datadir}/linuxmint/mintMenu/plugins
install -m 644 -p usr/lib/linuxmint/mintMenu/plugins/* %{buildroot}%{_datadir}/linuxmint/mintMenu/plugins/
install -m 755 -p usr/lib/linuxmint/mintMenu/plugins/*.py %{buildroot}%{_datadir}/linuxmint/mintMenu/plugins/
install -d -p %{buildroot}%{_libdir}/bonobo/servers/
install -m 644 -p usr/lib/bonobo/servers/mintMenu.server %{buildroot}%{_libdir}/bonobo/servers/mintMenu.server

cp -r mint-translations-2010.09.01/usr/share/linuxmint/* %{buildroot}%{_datadir}/
chmod -R u+rw,g-w,g+r,o+r,o-w %{buildroot}%{_datadir}/locale/*
%{find_lang} %{name} --with-gnome

install -Dm644 %{SOURCE34} %buildroot/etc/apt/apt.conf.d/list-mintmenu.conf
install -Dm755 %{SOURCE35} %buildroot/usr/share/apt/scripts/list-mintmenu.lua
install -Dm644 %{SOURCE36} %buildroot/etc/buildreqs/files/ignore.d/list-mintmenu

# check patches
sh -v %{SOURCE33}

%files -f %{name}.lang
%{_bindir}/mintmenu
%{_libdir}/bonobo
%dir %{_datadir}/linuxmint
%dir %{_datadir}/linuxmint/mintMenu
%{_datadir}/linuxmint/mintMenu/*.*
%{_datadir}/linuxmint/mintMenu/detectDE
%{_datadir}/linuxmint/mintMenu/plugins/

# list-mintmenu
/usr/share/apt
%config /etc/apt/apt.conf.d/*
%config /etc/buildreqs/files/ignore.d/*

#files lang -f %{name}.lang

%changelog
* Mon Aug 08 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt1.M60P.4
- bugfixes (thanks to Aleksey Novodvorsky):
  * detectDE restored
  * xfce logout use -l and -h respectively

* Fri Aug 05 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt1.M60P.3
- support for cyrillic in search

* Thu Aug 04 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt1.M60P.2
- added requires on gnome-search-tool

* Wed Aug 03 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt1.M60P.1
- use rpminstall directly instead of relying on apt:// protocol.

* Tue Aug 02 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt0.M60T.5
- use rpminstall directly instead of relying on apt:// protocol.

* Tue Aug 02 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt0.M60T.4
- accurate requires on rpminstall

* Sat Jul 30 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt0.M60T.3
- apt support

* Tue Jul 12 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt0.M60T.2
- apt demo support

* Tue Jul 12 2011 Igor Vlasenko <viy@altlinux.ru> 5.2.1-alt0.M60T.1
- new version

* Mon Jul 11 2011 Igor Vlasenko <viy@altlinux.ru> 5.1.9-alt0.1
- first build
